function buscarMotbaja(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formMotbaja.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busMotbaja/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblMotbaja");
      jsonJS.motbaja.forEach(function(i){
        addRowMotbaja(i.mtb_cod, i.mtb_nom);
      });

      $("#tblMotbaja tbody tr").dblclick(function() {
        selectMotbaja(a, $(this));
      });

      $("#tblMotbaja tbody #btnSelecMotbaja").click(function() {
        selectMotbaja(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowMotbaja(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecMotbaja'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblMotbaja tbody").append(markup);
}

function selectMotbaja(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblMotbaja");
}